Bug 116606

Summary: Move RunLoop from WebCore to WTF
Product: WebKit Reporter: Patrick R. Gansterer <paroga>
Component: New BugsAssignee: Patrick R. Gansterer <paroga>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, ap, buildbot, commit-queue, eflews.bot, gtk-ews, gyuyoung.kim, nick.diego, philn, rafael.lobo, rniwa, sergio, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 118125    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch none

Description Patrick R. Gansterer 2013-05-22 03:53:45 PDT
Move RunLoop from WebCore to WTF
Comment 1 Patrick R. Gansterer 2013-05-22 03:59:00 PDT
Created attachment 202518 [details]
Patch
Comment 2 WebKit Commit Bot 2013-05-22 04:01:01 PDT
Attachment 202518 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/WTF/ChangeLog', u'Source/WTF/GNUmakefile.list.am', u'Source/WTF/WTF.pro', u'Source/WTF/WTF.vcproj/WTF.vcproj', u'Source/WTF/WTF.vcxproj/WTF.vcxproj', u'Source/WTF/WTF.xcodeproj/project.pbxproj', u'Source/WTF/wtf/CMakeLists.txt', u'Source/WTF/wtf/PlatformBlackBerry.cmake', u'Source/WTF/wtf/PlatformEfl.cmake', u'Source/WTF/wtf/PlatformGTK.cmake', u'Source/WTF/wtf/PlatformWinCE.cmake', u'Source/WTF/wtf/RunLoop.cpp', u'Source/WTF/wtf/RunLoop.h', u'Source/WTF/wtf/WindowsExtras.h', u'Source/WTF/wtf/blackberry/RunLoopBlackBerry.cpp', u'Source/WTF/wtf/efl/RunLoopEfl.cpp', u'Source/WTF/wtf/gtk/RunLoopGtk.cpp', u'Source/WTF/wtf/mac/RunLoopMac.mm', u'Source/WTF/wtf/qt/RunLoopQt.cpp', u'Source/WTF/wtf/win/RunLoopWin.cpp', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/PlatformBlackBerry.cmake', u'Source/WebCore/PlatformEfl.cmake', u'Source/WebCore/PlatformGTK.cmake', u'Source/WebCore/PlatformWinCE.cmake', u'Source/WebCore/Target.pri', u'Source/WebCore/WebCore.exp.in', u'Source/WebCore/WebCore.vcproj/WebCore.vcproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/platform/PlatformKeyboardEvent.h', u'Source/WebCore/platform/PlatformMouseEvent.h', u'Source/WebCore/platform/PlatformWheelEvent.h', u'Source/WebCore/platform/RunLoop.cpp', u'Source/WebCore/platform/RunLoop.h', u'Source/WebCore/platform/blackberry/RunLoopBlackBerry.cpp', u'Source/WebCore/platform/cf/RunLoopCF.cpp', u'Source/WebCore/platform/efl/RunLoopEfl.cpp', u'Source/WebCore/platform/graphics/win/MediaPlayerPrivateFullscreenWindow.h', u'Source/WebCore/platform/gtk/RunLoopGtk.cpp', u'Source/WebCore/platform/mac/RunLoopMac.mm', u'Source/WebCore/platform/qt/RunLoopQt.cpp', u'Source/WebCore/platform/win/MIMETypeRegistryWin.cpp', u'Source/WebCore/platform/win/PasteboardWin.cpp', u'Source/WebCore/platform/win/PopupMenuWin.cpp', u'Source/WebCore/platform/win/RunLoopWin.cpp', u'Source/WebCore/platform/win/SharedTimerWin.cpp', u'Source/WebCore/platform/win/WindowMessageListener.h', u'Source/WebCore/platform/win/WindowsExtras.h', u'Source/WebCore/plugins/win/PluginDatabaseWin.cpp', u'Source/WebKit/mac/Carbon/CarbonWindowAdapter.mm', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/History/WebBackForwardList.mm', u'Source/WebKit/mac/History/WebHistoryItem.mm', u'Source/WebKit/mac/Misc/WebCache.mm', u'Source/WebKit/mac/Misc/WebElementDictionary.mm', u'Source/WebKit/mac/Misc/WebIconDatabase.mm', u'Source/WebKit/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBaseNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBasePluginPackage.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginView.mm', u'Source/WebKit/mac/WebCoreSupport/WebEditorClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebFrameLoaderClient.mm', u'Source/WebKit/mac/WebView/WebArchive.mm', u'Source/WebKit/mac/WebView/WebDataSource.mm', u'Source/WebKit/mac/WebView/WebHTMLView.mm', u'Source/WebKit/mac/WebView/WebPreferences.mm', u'Source/WebKit/mac/WebView/WebResource.mm', u'Source/WebKit/mac/WebView/WebTextIterator.mm', u'Source/WebKit/mac/WebView/WebView.mm', u'Source/WebKit/mac/WebView/WebViewData.mm', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/NetworkProcess/NetworkConnectionToWebProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.h', u'Source/WebKit2/NetworkProcess/NetworkResourceLoader.h', u'Source/WebKit2/NetworkProcess/mac/DiskCacheMonitor.h', u'Source/WebKit2/OfflineStorageProcess/OfflineStorageProcess.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.h', u'Source/WebKit2/Platform/CoreIPC/mac/ConnectionMac.cpp', u'Source/WebKit2/PluginProcess/EntryPoint/mac/LegacyProcess/PluginProcessMain.mm', u'Source/WebKit2/PluginProcess/EntryPoint/mac/XPCService/PluginServiceEntryPoint.mm', u'Source/WebKit2/PluginProcess/PluginControllerProxy.h', u'Source/WebKit2/PluginProcess/PluginProcess.cpp', u'Source/WebKit2/PluginProcess/PluginProcess.h', u'Source/WebKit2/PluginProcess/WebProcessConnection.cpp', u'Source/WebKit2/Shared/ChildProcess.cpp', u'Source/WebKit2/Shared/ChildProcess.h', u'Source/WebKit2/Shared/ChildProcessProxy.cpp', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.h', u'Source/WebKit2/Shared/WebKit2Initialize.cpp', u'Source/WebKit2/SharedWorkerProcess/SharedWorkerProcess.cpp', u'Source/WebKit2/SharedWorkerProcess/SharedWorkerProcess.h', u'Source/WebKit2/UIProcess/API/mac/FindIndicatorWindow.h', u'Source/WebKit2/UIProcess/API/mac/WKView.mm', u'Source/WebKit2/UIProcess/DrawingAreaProxyImpl.h', u'Source/WebKit2/UIProcess/Launcher/mac/ProcessLauncherMac.mm', u'Source/WebKit2/UIProcess/Network/NetworkProcessProxy.cpp', u'Source/WebKit2/UIProcess/Plugins/PluginProcessProxy.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.h', u'Source/WebKit2/UIProcess/SharedWorkers/SharedWorkerProcessProxy.cpp', u'Source/WebKit2/UIProcess/VisitedLinkProvider.h', u'Source/WebKit2/UIProcess/WebContext.cpp', u'Source/WebKit2/WebProcess/EntryPoint/mac/LegacyProcess/WebContentProcessMain.mm', u'Source/WebKit2/WebProcess/EntryPoint/mac/XPCService/WebContentServiceEntryPoint.mm', u'Source/WebKit2/WebProcess/Network/WebResourceLoadScheduler.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePluginStream.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.h', u'Source/WebKit2/WebProcess/WebPage/DrawingAreaImpl.h', u'Source/WebKit2/WebProcess/WebPage/EventDispatcher.cpp', u'Source/WebKit2/WebProcess/WebPage/PageOverlay.h', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.h', u'Source/WebKit2/WebProcess/WebProcess.cpp']" exit_code: 1
Source/WTF/wtf/efl/RunLoopEfl.cpp:61:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/WTF/wtf/RunLoop.cpp:107:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/WTF/wtf/win/RunLoopWin.cpp:102:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WTF/wtf/WindowsExtras.h:28:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WTF/wtf/WindowsExtras.h:35:  HWND_MESSAGE is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/RunLoop.h:180:  Omit int when using unsigned  [runtime/unsigned] [1]
Total errors found: 6 in 99 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Early Warning System Bot 2013-05-22 04:05:28 PDT
Comment on attachment 202518 [details]
Patch

Attachment 202518 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/541139
Comment 4 Early Warning System Bot 2013-05-22 04:05:38 PDT
Comment on attachment 202518 [details]
Patch

Attachment 202518 [details] did not pass qt-wk2-ews (qt-wk2):
Output: http://webkit-queues.appspot.com/results/550115
Comment 5 kov's GTK+ EWS bot 2013-05-22 04:05:40 PDT
Comment on attachment 202518 [details]
Patch

Attachment 202518 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/555103
Comment 6 EFL EWS Bot 2013-05-22 04:07:22 PDT
Comment on attachment 202518 [details]
Patch

Attachment 202518 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/542110
Comment 7 Geoffrey Garen 2013-05-22 09:18:29 PDT
Comment on attachment 202518 [details]
Patch

I like this change, but it looks like it didn't build.
Comment 8 Patrick R. Gansterer 2013-05-22 11:05:25 PDT
Created attachment 202576 [details]
Patch
Comment 9 WebKit Commit Bot 2013-05-22 11:06:58 PDT
Attachment 202576 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/WTF/ChangeLog', u'Source/WTF/GNUmakefile.list.am', u'Source/WTF/WTF.pro', u'Source/WTF/WTF.vcproj/WTF.vcproj', u'Source/WTF/WTF.vcxproj/WTF.vcxproj', u'Source/WTF/WTF.xcodeproj/project.pbxproj', u'Source/WTF/wtf/CMakeLists.txt', u'Source/WTF/wtf/PlatformBlackBerry.cmake', u'Source/WTF/wtf/PlatformEfl.cmake', u'Source/WTF/wtf/PlatformGTK.cmake', u'Source/WTF/wtf/PlatformWinCE.cmake', u'Source/WTF/wtf/RunLoop.cpp', u'Source/WTF/wtf/RunLoop.h', u'Source/WTF/wtf/WindowsExtras.h', u'Source/WTF/wtf/blackberry/RunLoopBlackBerry.cpp', u'Source/WTF/wtf/efl/RunLoopEfl.cpp', u'Source/WTF/wtf/gtk/RunLoopGtk.cpp', u'Source/WTF/wtf/mac/RunLoopMac.mm', u'Source/WTF/wtf/qt/RunLoopQt.cpp', u'Source/WTF/wtf/win/RunLoopWin.cpp', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/PlatformBlackBerry.cmake', u'Source/WebCore/PlatformEfl.cmake', u'Source/WebCore/PlatformGTK.cmake', u'Source/WebCore/PlatformWinCE.cmake', u'Source/WebCore/Target.pri', u'Source/WebCore/WebCore.exp.in', u'Source/WebCore/WebCore.vcproj/WebCore.vcproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/page/scrolling/ScrollingThread.h', u'Source/WebCore/platform/PlatformKeyboardEvent.h', u'Source/WebCore/platform/PlatformMouseEvent.h', u'Source/WebCore/platform/PlatformWheelEvent.h', u'Source/WebCore/platform/RunLoop.cpp', u'Source/WebCore/platform/RunLoop.h', u'Source/WebCore/platform/blackberry/RunLoopBlackBerry.cpp', u'Source/WebCore/platform/cf/RunLoopCF.cpp', u'Source/WebCore/platform/efl/RunLoopEfl.cpp', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsLayer.h', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsScene.h', u'Source/WebCore/platform/graphics/win/MediaPlayerPrivateFullscreenWindow.h', u'Source/WebCore/platform/gtk/RunLoopGtk.cpp', u'Source/WebCore/platform/mac/RunLoopMac.mm', u'Source/WebCore/platform/qt/RunLoopQt.cpp', u'Source/WebCore/platform/win/MIMETypeRegistryWin.cpp', u'Source/WebCore/platform/win/PasteboardWin.cpp', u'Source/WebCore/platform/win/PopupMenuWin.cpp', u'Source/WebCore/platform/win/RunLoopWin.cpp', u'Source/WebCore/platform/win/SharedTimerWin.cpp', u'Source/WebCore/platform/win/WindowMessageListener.h', u'Source/WebCore/platform/win/WindowsExtras.h', u'Source/WebCore/plugins/win/PluginDatabaseWin.cpp', u'Source/WebKit/mac/Carbon/CarbonWindowAdapter.mm', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/History/WebBackForwardList.mm', u'Source/WebKit/mac/History/WebHistoryItem.mm', u'Source/WebKit/mac/Misc/WebCache.mm', u'Source/WebKit/mac/Misc/WebElementDictionary.mm', u'Source/WebKit/mac/Misc/WebIconDatabase.mm', u'Source/WebKit/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBaseNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBasePluginPackage.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginView.mm', u'Source/WebKit/mac/WebCoreSupport/WebEditorClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebFrameLoaderClient.mm', u'Source/WebKit/mac/WebView/WebArchive.mm', u'Source/WebKit/mac/WebView/WebDataSource.mm', u'Source/WebKit/mac/WebView/WebHTMLView.mm', u'Source/WebKit/mac/WebView/WebPreferences.mm', u'Source/WebKit/mac/WebView/WebResource.mm', u'Source/WebKit/mac/WebView/WebTextIterator.mm', u'Source/WebKit/mac/WebView/WebView.mm', u'Source/WebKit/mac/WebView/WebViewData.mm', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/NetworkProcess/NetworkConnectionToWebProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.h', u'Source/WebKit2/NetworkProcess/NetworkResourceLoader.h', u'Source/WebKit2/NetworkProcess/mac/DiskCacheMonitor.h', u'Source/WebKit2/OfflineStorageProcess/OfflineStorageProcess.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.h', u'Source/WebKit2/Platform/CoreIPC/mac/ConnectionMac.cpp', u'Source/WebKit2/PluginProcess/EntryPoint/mac/LegacyProcess/PluginProcessMain.mm', u'Source/WebKit2/PluginProcess/EntryPoint/mac/XPCService/PluginServiceEntryPoint.mm', u'Source/WebKit2/PluginProcess/PluginControllerProxy.h', u'Source/WebKit2/PluginProcess/PluginProcess.cpp', u'Source/WebKit2/PluginProcess/PluginProcess.h', u'Source/WebKit2/PluginProcess/WebProcessConnection.cpp', u'Source/WebKit2/Shared/ChildProcess.cpp', u'Source/WebKit2/Shared/ChildProcess.h', u'Source/WebKit2/Shared/ChildProcessProxy.cpp', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.h', u'Source/WebKit2/Shared/WebKit2Initialize.cpp', u'Source/WebKit2/SharedWorkerProcess/SharedWorkerProcess.cpp', u'Source/WebKit2/SharedWorkerProcess/SharedWorkerProcess.h', u'Source/WebKit2/UIProcess/API/mac/FindIndicatorWindow.h', u'Source/WebKit2/UIProcess/API/mac/WKView.mm', u'Source/WebKit2/UIProcess/DrawingAreaProxyImpl.h', u'Source/WebKit2/UIProcess/Launcher/mac/ProcessLauncherMac.mm', u'Source/WebKit2/UIProcess/Network/NetworkProcessProxy.cpp', u'Source/WebKit2/UIProcess/Plugins/PluginProcessProxy.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.h', u'Source/WebKit2/UIProcess/SharedWorkers/SharedWorkerProcessProxy.cpp', u'Source/WebKit2/UIProcess/VisitedLinkProvider.h', u'Source/WebKit2/UIProcess/WebContext.cpp', u'Source/WebKit2/WebProcess/EntryPoint/mac/LegacyProcess/WebContentProcessMain.mm', u'Source/WebKit2/WebProcess/EntryPoint/mac/XPCService/WebContentServiceEntryPoint.mm', u'Source/WebKit2/WebProcess/Network/WebResourceLoadScheduler.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePluginStream.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.h', u'Source/WebKit2/WebProcess/WebPage/DrawingAreaImpl.h', u'Source/WebKit2/WebProcess/WebPage/EventDispatcher.cpp', u'Source/WebKit2/WebProcess/WebPage/PageOverlay.h', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.h', u'Source/WebKit2/WebProcess/WebProcess.cpp']" exit_code: 1
Source/WTF/wtf/efl/RunLoopEfl.cpp:61:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/WTF/wtf/RunLoop.cpp:107:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/WTF/wtf/win/RunLoopWin.cpp:102:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WTF/wtf/WindowsExtras.h:28:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WTF/wtf/WindowsExtras.h:35:  HWND_MESSAGE is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/RunLoop.h:180:  Omit int when using unsigned  [runtime/unsigned] [1]
Total errors found: 6 in 102 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 Early Warning System Bot 2013-05-22 11:17:13 PDT
Comment on attachment 202576 [details]
Patch

Attachment 202576 [details] did not pass qt-wk2-ews (qt-wk2):
Output: http://webkit-queues.appspot.com/results/553220
Comment 11 Patrick R. Gansterer 2013-05-22 12:19:06 PDT
Created attachment 202611 [details]
Patch
Comment 12 WebKit Commit Bot 2013-05-22 12:20:42 PDT
Attachment 202611 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/WTF/ChangeLog', u'Source/WTF/GNUmakefile.list.am', u'Source/WTF/WTF.pro', u'Source/WTF/WTF.vcproj/WTF.vcproj', u'Source/WTF/WTF.vcxproj/WTF.vcxproj', u'Source/WTF/WTF.xcodeproj/project.pbxproj', u'Source/WTF/wtf/CMakeLists.txt', u'Source/WTF/wtf/PlatformBlackBerry.cmake', u'Source/WTF/wtf/PlatformEfl.cmake', u'Source/WTF/wtf/PlatformGTK.cmake', u'Source/WTF/wtf/PlatformWinCE.cmake', u'Source/WTF/wtf/RunLoop.cpp', u'Source/WTF/wtf/RunLoop.h', u'Source/WTF/wtf/WindowsExtras.h', u'Source/WTF/wtf/blackberry/RunLoopBlackBerry.cpp', u'Source/WTF/wtf/efl/RunLoopEfl.cpp', u'Source/WTF/wtf/gtk/RunLoopGtk.cpp', u'Source/WTF/wtf/mac/RunLoopMac.mm', u'Source/WTF/wtf/qt/RunLoopQt.cpp', u'Source/WTF/wtf/win/RunLoopWin.cpp', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/PlatformBlackBerry.cmake', u'Source/WebCore/PlatformEfl.cmake', u'Source/WebCore/PlatformGTK.cmake', u'Source/WebCore/PlatformWinCE.cmake', u'Source/WebCore/Target.pri', u'Source/WebCore/WebCore.exp.in', u'Source/WebCore/WebCore.vcproj/WebCore.vcproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/page/scrolling/ScrollingThread.h', u'Source/WebCore/platform/PlatformKeyboardEvent.h', u'Source/WebCore/platform/PlatformMouseEvent.h', u'Source/WebCore/platform/PlatformWheelEvent.h', u'Source/WebCore/platform/RunLoop.cpp', u'Source/WebCore/platform/RunLoop.h', u'Source/WebCore/platform/blackberry/RunLoopBlackBerry.cpp', u'Source/WebCore/platform/cf/RunLoopCF.cpp', u'Source/WebCore/platform/efl/RunLoopEfl.cpp', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsLayer.h', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsScene.h', u'Source/WebCore/platform/graphics/win/MediaPlayerPrivateFullscreenWindow.h', u'Source/WebCore/platform/gtk/RunLoopGtk.cpp', u'Source/WebCore/platform/mac/RunLoopMac.mm', u'Source/WebCore/platform/qt/RunLoopQt.cpp', u'Source/WebCore/platform/win/MIMETypeRegistryWin.cpp', u'Source/WebCore/platform/win/PasteboardWin.cpp', u'Source/WebCore/platform/win/PopupMenuWin.cpp', u'Source/WebCore/platform/win/RunLoopWin.cpp', u'Source/WebCore/platform/win/SharedTimerWin.cpp', u'Source/WebCore/platform/win/WindowMessageListener.h', u'Source/WebCore/platform/win/WindowsExtras.h', u'Source/WebCore/plugins/win/PluginDatabaseWin.cpp', u'Source/WebKit/mac/Carbon/CarbonWindowAdapter.mm', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/History/WebBackForwardList.mm', u'Source/WebKit/mac/History/WebHistoryItem.mm', u'Source/WebKit/mac/Misc/WebCache.mm', u'Source/WebKit/mac/Misc/WebElementDictionary.mm', u'Source/WebKit/mac/Misc/WebIconDatabase.mm', u'Source/WebKit/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBaseNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBasePluginPackage.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginView.mm', u'Source/WebKit/mac/WebCoreSupport/WebEditorClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebFrameLoaderClient.mm', u'Source/WebKit/mac/WebView/WebArchive.mm', u'Source/WebKit/mac/WebView/WebDataSource.mm', u'Source/WebKit/mac/WebView/WebHTMLView.mm', u'Source/WebKit/mac/WebView/WebPreferences.mm', u'Source/WebKit/mac/WebView/WebResource.mm', u'Source/WebKit/mac/WebView/WebTextIterator.mm', u'Source/WebKit/mac/WebView/WebView.mm', u'Source/WebKit/mac/WebView/WebViewData.mm', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/NetworkProcess/NetworkConnectionToWebProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.h', u'Source/WebKit2/NetworkProcess/NetworkResourceLoader.h', u'Source/WebKit2/NetworkProcess/mac/DiskCacheMonitor.h', u'Source/WebKit2/OfflineStorageProcess/OfflineStorageProcess.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.h', u'Source/WebKit2/Platform/CoreIPC/mac/ConnectionMac.cpp', u'Source/WebKit2/PluginProcess/EntryPoint/mac/LegacyProcess/PluginProcessMain.mm', u'Source/WebKit2/PluginProcess/EntryPoint/mac/XPCService/PluginServiceEntryPoint.mm', u'Source/WebKit2/PluginProcess/PluginControllerProxy.h', u'Source/WebKit2/PluginProcess/PluginProcess.cpp', u'Source/WebKit2/PluginProcess/PluginProcess.h', u'Source/WebKit2/PluginProcess/WebProcessConnection.cpp', u'Source/WebKit2/PluginProcess/qt/PluginProcessMainQt.cpp', u'Source/WebKit2/PluginProcess/unix/PluginProcessMainUnix.cpp', u'Source/WebKit2/Shared/ChildProcess.cpp', u'Source/WebKit2/Shared/ChildProcess.h', u'Source/WebKit2/Shared/ChildProcessProxy.cpp', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.h', u'Source/WebKit2/Shared/WebKit2Initialize.cpp', u'Source/WebKit2/SharedWorkerProcess/SharedWorkerProcess.cpp', u'Source/WebKit2/SharedWorkerProcess/SharedWorkerProcess.h', u'Source/WebKit2/UIProcess/API/mac/FindIndicatorWindow.h', u'Source/WebKit2/UIProcess/API/mac/WKView.mm', u'Source/WebKit2/UIProcess/CoordinatedGraphics/CoordinatedLayerTreeHostProxy.h', u'Source/WebKit2/UIProcess/DrawingAreaProxyImpl.h', u'Source/WebKit2/UIProcess/Launcher/efl/ProcessLauncherEfl.cpp', u'Source/WebKit2/UIProcess/Launcher/gtk/ProcessLauncherGtk.cpp', u'Source/WebKit2/UIProcess/Launcher/mac/ProcessLauncherMac.mm', u'Source/WebKit2/UIProcess/Launcher/qt/ProcessLauncherQt.cpp', u'Source/WebKit2/UIProcess/Network/NetworkProcessProxy.cpp', u'Source/WebKit2/UIProcess/Plugins/PluginProcessProxy.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.h', u'Source/WebKit2/UIProcess/SharedWorkers/SharedWorkerProcessProxy.cpp', u'Source/WebKit2/UIProcess/VisitedLinkProvider.h', u'Source/WebKit2/UIProcess/WebContext.cpp', u'Source/WebKit2/WebProcess/EntryPoint/mac/LegacyProcess/WebContentProcessMain.mm', u'Source/WebKit2/WebProcess/EntryPoint/mac/XPCService/WebContentServiceEntryPoint.mm', u'Source/WebKit2/WebProcess/Network/WebResourceLoadScheduler.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePluginStream.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.h', u'Source/WebKit2/WebProcess/WebPage/DrawingAreaImpl.h', u'Source/WebKit2/WebProcess/WebPage/EventDispatcher.cpp', u'Source/WebKit2/WebProcess/WebPage/PageOverlay.h', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.h', u'Source/WebKit2/WebProcess/WebProcess.cpp', u'Source/WebKit2/WebProcess/efl/WebProcessMainEfl.cpp', u'Source/WebKit2/WebProcess/gtk/WebProcessMainGtk.cpp', u'Source/WebKit2/WebProcess/qt/WebProcessMainQt.cpp']" exit_code: 1
Source/WTF/wtf/efl/RunLoopEfl.cpp:61:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/WTF/wtf/RunLoop.cpp:107:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/WTF/wtf/win/RunLoopWin.cpp:102:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WTF/wtf/WindowsExtras.h:28:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WTF/wtf/WindowsExtras.h:35:  HWND_MESSAGE is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/RunLoop.h:180:  Omit int when using unsigned  [runtime/unsigned] [1]
Total errors found: 6 in 111 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 kov's GTK+ EWS bot 2013-05-22 12:52:02 PDT
Comment on attachment 202611 [details]
Patch

Attachment 202611 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/542254
Comment 14 Patrick R. Gansterer 2013-05-23 07:05:22 PDT
Created attachment 202705 [details]
Patch
Comment 15 WebKit Commit Bot 2013-05-23 07:06:57 PDT
Attachment 202705 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/WTF/ChangeLog', u'Source/WTF/GNUmakefile.list.am', u'Source/WTF/WTF.pro', u'Source/WTF/WTF.vcproj/WTF.vcproj', u'Source/WTF/WTF.vcxproj/WTF.vcxproj', u'Source/WTF/WTF.xcodeproj/project.pbxproj', u'Source/WTF/wtf/CMakeLists.txt', u'Source/WTF/wtf/PlatformBlackBerry.cmake', u'Source/WTF/wtf/PlatformEfl.cmake', u'Source/WTF/wtf/PlatformGTK.cmake', u'Source/WTF/wtf/PlatformWinCE.cmake', u'Source/WTF/wtf/RunLoop.cpp', u'Source/WTF/wtf/RunLoop.h', u'Source/WTF/wtf/WindowsExtras.h', u'Source/WTF/wtf/blackberry/RunLoopBlackBerry.cpp', u'Source/WTF/wtf/efl/RunLoopEfl.cpp', u'Source/WTF/wtf/gtk/RunLoopGtk.cpp', u'Source/WTF/wtf/mac/RunLoopMac.mm', u'Source/WTF/wtf/qt/RunLoopQt.cpp', u'Source/WTF/wtf/win/RunLoopWin.cpp', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/PlatformBlackBerry.cmake', u'Source/WebCore/PlatformEfl.cmake', u'Source/WebCore/PlatformGTK.cmake', u'Source/WebCore/PlatformWinCE.cmake', u'Source/WebCore/Target.pri', u'Source/WebCore/WebCore.exp.in', u'Source/WebCore/WebCore.vcproj/WebCore.vcproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/page/scrolling/ScrollingThread.h', u'Source/WebCore/platform/PlatformKeyboardEvent.h', u'Source/WebCore/platform/PlatformMouseEvent.h', u'Source/WebCore/platform/PlatformWheelEvent.h', u'Source/WebCore/platform/RunLoop.cpp', u'Source/WebCore/platform/RunLoop.h', u'Source/WebCore/platform/blackberry/RunLoopBlackBerry.cpp', u'Source/WebCore/platform/cf/RunLoopCF.cpp', u'Source/WebCore/platform/efl/RunLoopEfl.cpp', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsLayer.h', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsScene.h', u'Source/WebCore/platform/graphics/win/MediaPlayerPrivateFullscreenWindow.h', u'Source/WebCore/platform/gtk/RunLoopGtk.cpp', u'Source/WebCore/platform/mac/RunLoopMac.mm', u'Source/WebCore/platform/qt/RunLoopQt.cpp', u'Source/WebCore/platform/win/MIMETypeRegistryWin.cpp', u'Source/WebCore/platform/win/PasteboardWin.cpp', u'Source/WebCore/platform/win/PopupMenuWin.cpp', u'Source/WebCore/platform/win/RunLoopWin.cpp', u'Source/WebCore/platform/win/SharedTimerWin.cpp', u'Source/WebCore/platform/win/WindowMessageListener.h', u'Source/WebCore/platform/win/WindowsExtras.h', u'Source/WebCore/plugins/win/PluginDatabaseWin.cpp', u'Source/WebKit/mac/Carbon/CarbonWindowAdapter.mm', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/History/WebBackForwardList.mm', u'Source/WebKit/mac/History/WebHistoryItem.mm', u'Source/WebKit/mac/Misc/WebCache.mm', u'Source/WebKit/mac/Misc/WebElementDictionary.mm', u'Source/WebKit/mac/Misc/WebIconDatabase.mm', u'Source/WebKit/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBaseNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBasePluginPackage.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginView.mm', u'Source/WebKit/mac/WebCoreSupport/WebEditorClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebFrameLoaderClient.mm', u'Source/WebKit/mac/WebView/WebArchive.mm', u'Source/WebKit/mac/WebView/WebDataSource.mm', u'Source/WebKit/mac/WebView/WebHTMLView.mm', u'Source/WebKit/mac/WebView/WebPreferences.mm', u'Source/WebKit/mac/WebView/WebResource.mm', u'Source/WebKit/mac/WebView/WebTextIterator.mm', u'Source/WebKit/mac/WebView/WebView.mm', u'Source/WebKit/mac/WebView/WebViewData.mm', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/NetworkProcess/NetworkConnectionToWebProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.h', u'Source/WebKit2/NetworkProcess/NetworkResourceLoader.h', u'Source/WebKit2/NetworkProcess/mac/DiskCacheMonitor.h', u'Source/WebKit2/OfflineStorageProcess/OfflineStorageProcess.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.h', u'Source/WebKit2/Platform/CoreIPC/mac/ConnectionMac.cpp', u'Source/WebKit2/PluginProcess/EntryPoint/mac/LegacyProcess/PluginProcessMain.mm', u'Source/WebKit2/PluginProcess/EntryPoint/mac/XPCService/PluginServiceEntryPoint.mm', u'Source/WebKit2/PluginProcess/PluginControllerProxy.h', u'Source/WebKit2/PluginProcess/PluginProcess.cpp', u'Source/WebKit2/PluginProcess/PluginProcess.h', u'Source/WebKit2/PluginProcess/WebProcessConnection.cpp', u'Source/WebKit2/PluginProcess/qt/PluginProcessMainQt.cpp', u'Source/WebKit2/PluginProcess/unix/PluginProcessMainUnix.cpp', u'Source/WebKit2/Shared/ChildProcess.cpp', u'Source/WebKit2/Shared/ChildProcess.h', u'Source/WebKit2/Shared/ChildProcessProxy.cpp', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.h', u'Source/WebKit2/Shared/WebKit2Initialize.cpp', u'Source/WebKit2/SharedWorkerProcess/SharedWorkerProcess.cpp', u'Source/WebKit2/SharedWorkerProcess/SharedWorkerProcess.h', u'Source/WebKit2/UIProcess/API/mac/FindIndicatorWindow.h', u'Source/WebKit2/UIProcess/API/mac/WKView.mm', u'Source/WebKit2/UIProcess/CoordinatedGraphics/CoordinatedLayerTreeHostProxy.h', u'Source/WebKit2/UIProcess/DrawingAreaProxyImpl.h', u'Source/WebKit2/UIProcess/Launcher/efl/ProcessLauncherEfl.cpp', u'Source/WebKit2/UIProcess/Launcher/gtk/ProcessLauncherGtk.cpp', u'Source/WebKit2/UIProcess/Launcher/mac/ProcessLauncherMac.mm', u'Source/WebKit2/UIProcess/Launcher/qt/ProcessLauncherQt.cpp', u'Source/WebKit2/UIProcess/Network/NetworkProcessProxy.cpp', u'Source/WebKit2/UIProcess/Plugins/PluginProcessProxy.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.h', u'Source/WebKit2/UIProcess/SharedWorkers/SharedWorkerProcessProxy.cpp', u'Source/WebKit2/UIProcess/VisitedLinkProvider.h', u'Source/WebKit2/UIProcess/WebContext.cpp', u'Source/WebKit2/WebProcess/EntryPoint/mac/LegacyProcess/WebContentProcessMain.mm', u'Source/WebKit2/WebProcess/EntryPoint/mac/XPCService/WebContentServiceEntryPoint.mm', u'Source/WebKit2/WebProcess/Network/WebResourceLoadScheduler.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePluginStream.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.h', u'Source/WebKit2/WebProcess/WebPage/DrawingAreaImpl.h', u'Source/WebKit2/WebProcess/WebPage/EventDispatcher.cpp', u'Source/WebKit2/WebProcess/WebPage/PageOverlay.h', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.h', u'Source/WebKit2/WebProcess/WebProcess.cpp', u'Source/WebKit2/WebProcess/efl/WebProcessMainEfl.cpp', u'Source/WebKit2/WebProcess/gtk/WebProcessMainGtk.cpp', u'Source/WebKit2/WebProcess/qt/WebProcessMainQt.cpp']" exit_code: 1
Source/WTF/wtf/efl/RunLoopEfl.cpp:61:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/WTF/wtf/RunLoop.cpp:107:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/WTF/wtf/win/RunLoopWin.cpp:102:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WTF/wtf/WindowsExtras.h:28:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WTF/wtf/WindowsExtras.h:35:  HWND_MESSAGE is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WTF/wtf/RunLoop.h:180:  Omit int when using unsigned  [runtime/unsigned] [1]
Total errors found: 6 in 111 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 16 Anders Carlsson 2013-05-24 13:19:49 PDT
Comment on attachment 202705 [details]
Patch

This will make JSC link against AppKit, which is something we don’t want. I’ll try to come up with a better solution for that that’s specific for WebKit2.
Comment 17 Anders Carlsson 2013-10-09 09:33:38 PDT
(In reply to comment #16)
> (From update of attachment 202705 [details])
> This will make JSC link against AppKit, which is something we don’t want. I’ll try to come up with a better solution for that that’s specific for WebKit2.

I removed RunLoopMac in http://trac.webkit.org/changeset/157168.
Comment 18 Patrick R. Gansterer 2013-10-09 09:43:09 PDT
(In reply to comment #17)
> (In reply to comment #16)
> > (From update of attachment 202705 [details] [details])
> > This will make JSC link against AppKit, which is something we don’t want. I’ll try to come up with a better solution for that that’s specific for WebKit2.
> 
> I removed RunLoopMac in http://trac.webkit.org/changeset/157168.

Is it ok to start working on this again, or will it conflict with other stuff you want to do in the near future?
Comment 19 Anders Carlsson 2013-10-09 10:48:13 PDT
(In reply to comment #18)
> Is it ok to start working on this again, or will it conflict with other stuff you want to do in the near future?

Should be OK to work on this now!
Comment 20 Patrick R. Gansterer 2013-10-21 00:37:48 PDT
Created attachment 214708 [details]
Patch
Comment 21 Patrick R. Gansterer 2013-10-21 00:45:26 PDT
Created attachment 214709 [details]
Patch
Comment 22 WebKit Commit Bot 2013-10-21 00:48:41 PDT
Attachment 214709 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WTF/ChangeLog', u'Source/WTF/GNUmakefile.list.am', u'Source/WTF/WTF.vcxproj/WTF.vcxproj', u'Source/WTF/WTF.xcodeproj/project.pbxproj', u'Source/WTF/wtf/CMakeLists.txt', u'Source/WTF/wtf/PlatformBlackBerry.cmake', u'Source/WTF/wtf/PlatformEfl.cmake', u'Source/WTF/wtf/PlatformGTK.cmake', u'Source/WTF/wtf/PlatformWin.cmake', u'Source/WTF/wtf/RunLoop.cpp', u'Source/WTF/wtf/RunLoop.h', u'Source/WTF/wtf/blackberry/RunLoopBlackBerry.cpp', u'Source/WTF/wtf/cf/RunLoopCF.cpp', u'Source/WTF/wtf/efl/RunLoopEfl.cpp', u'Source/WTF/wtf/gtk/RunLoopGtk.cpp', u'Source/WTF/wtf/win/RunLoopWin.cpp', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/PlatformBlackBerry.cmake', u'Source/WebCore/PlatformEfl.cmake', u'Source/WebCore/PlatformGTK.cmake', u'Source/WebCore/PlatformWin.cmake', u'Source/WebCore/WebCore.exp.in', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/platform/RunLoop.cpp', u'Source/WebCore/platform/RunLoop.h', u'Source/WebCore/platform/blackberry/RunLoopBlackBerry.cpp', u'Source/WebCore/platform/cf/RunLoopCF.cpp', u'Source/WebCore/platform/efl/RunLoopEfl.cpp', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsLayer.h', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsScene.h', u'Source/WebCore/platform/gtk/RunLoopGtk.cpp', u'Source/WebCore/platform/win/RunLoopWin.cpp', u'Source/WebKit/mac/Carbon/CarbonWindowAdapter.mm', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/History/WebBackForwardList.mm', u'Source/WebKit/mac/History/WebHistoryItem.mm', u'Source/WebKit/mac/Misc/WebCache.mm', u'Source/WebKit/mac/Misc/WebElementDictionary.mm', u'Source/WebKit/mac/Misc/WebIconDatabase.mm', u'Source/WebKit/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBaseNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBasePluginPackage.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginView.mm', u'Source/WebKit/mac/WebCoreSupport/WebEditorClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebFrameLoaderClient.mm', u'Source/WebKit/mac/WebView/WebArchive.mm', u'Source/WebKit/mac/WebView/WebDataSource.mm', u'Source/WebKit/mac/WebView/WebHTMLView.mm', u'Source/WebKit/mac/WebView/WebPreferences.mm', u'Source/WebKit/mac/WebView/WebResource.mm', u'Source/WebKit/mac/WebView/WebTextIterator.mm', u'Source/WebKit/mac/WebView/WebView.mm', u'Source/WebKit/mac/WebView/WebViewData.mm', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/DatabaseProcess/DatabaseProcess.cpp', u'Source/WebKit2/DatabaseProcess/DatabaseToWebProcessConnection.cpp', u'Source/WebKit2/NetworkProcess/NetworkConnectionToWebProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.h', u'Source/WebKit2/NetworkProcess/NetworkResourceLoader.h', u'Source/WebKit2/NetworkProcess/mac/DiskCacheMonitor.h', u'Source/WebKit2/NetworkProcess/unix/NetworkProcessMainUnix.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.h', u'Source/WebKit2/Platform/CoreIPC/mac/ConnectionMac.cpp', u'Source/WebKit2/PluginProcess/EntryPoint/mac/LegacyProcess/PluginProcessMain.mm', u'Source/WebKit2/PluginProcess/EntryPoint/mac/XPCService/PluginServiceEntryPoint.mm', u'Source/WebKit2/PluginProcess/PluginControllerProxy.h', u'Source/WebKit2/PluginProcess/PluginProcess.cpp', u'Source/WebKit2/PluginProcess/PluginProcess.h', u'Source/WebKit2/PluginProcess/WebProcessConnection.cpp', u'Source/WebKit2/PluginProcess/unix/PluginProcessMainUnix.cpp', u'Source/WebKit2/Shared/ChildProcess.cpp', u'Source/WebKit2/Shared/ChildProcess.h', u'Source/WebKit2/Shared/ChildProcessProxy.cpp', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.h', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.mm', u'Source/WebKit2/Shared/Plugins/NPObjectProxy.cpp', u'Source/WebKit2/Shared/WebKit2Initialize.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitFaviconDatabase.cpp', u'Source/WebKit2/UIProcess/API/mac/FindIndicatorWindow.h', u'Source/WebKit2/UIProcess/API/mac/WKPrintingView.mm', u'Source/WebKit2/UIProcess/API/mac/WKView.mm', u'Source/WebKit2/UIProcess/CoordinatedGraphics/CoordinatedDrawingAreaProxy.h', u'Source/WebKit2/UIProcess/DrawingAreaProxyImpl.h', u'Source/WebKit2/UIProcess/Launcher/efl/ProcessLauncherEfl.cpp', u'Source/WebKit2/UIProcess/Launcher/gtk/ProcessLauncherGtk.cpp', u'Source/WebKit2/UIProcess/Launcher/mac/ProcessLauncherMac.mm', u'Source/WebKit2/UIProcess/Network/NetworkProcessProxy.cpp', u'Source/WebKit2/UIProcess/Plugins/PluginProcessProxy.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.h', u'Source/WebKit2/UIProcess/VisitedLinkProvider.h', u'Source/WebKit2/UIProcess/WebContext.cpp', u'Source/WebKit2/UIProcess/WebProcessProxy.cpp', u'Source/WebKit2/WebProcess/Databases/WebToDatabaseProcessConnection.cpp', u'Source/WebKit2/WebProcess/EntryPoint/mac/LegacyProcess/WebContentProcessMain.mm', u'Source/WebKit2/WebProcess/EntryPoint/mac/XPCService/WebContentServiceEntryPoint.mm', u'Source/WebKit2/WebProcess/Network/WebResourceLoadScheduler.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePluginStream.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.h', u'Source/WebKit2/WebProcess/WebPage/CoordinatedGraphics/CoordinatedDrawingArea.h', u'Source/WebKit2/WebProcess/WebPage/DrawingAreaImpl.h', u'Source/WebKit2/WebProcess/WebPage/EventDispatcher.cpp', u'Source/WebKit2/WebProcess/WebPage/PageOverlay.h', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.h', u'Source/WebKit2/WebProcess/WebProcess.cpp', u'Source/WebKit2/WebProcess/efl/WebProcessMainEfl.cpp', u'Source/WebKit2/WebProcess/gtk/WebProcessMainGtk.cpp']" exit_code: 1
Source/WTF/wtf/RunLoop.cpp:107:  This { should be at the end of the previous line  [whitespace/braces] [4]
Total errors found: 1 in 93 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 23 kov's GTK+ EWS bot 2013-10-21 01:40:01 PDT
Comment on attachment 214709 [details]
Patch

Attachment 214709 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/7128059
Comment 24 Patrick R. Gansterer 2013-10-21 01:51:41 PDT
Created attachment 214714 [details]
Patch
Comment 25 WebKit Commit Bot 2013-10-21 01:53:29 PDT
Attachment 214714 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WTF/ChangeLog', u'Source/WTF/GNUmakefile.list.am', u'Source/WTF/WTF.vcxproj/WTF.vcxproj', u'Source/WTF/WTF.xcodeproj/project.pbxproj', u'Source/WTF/wtf/CMakeLists.txt', u'Source/WTF/wtf/PlatformBlackBerry.cmake', u'Source/WTF/wtf/PlatformEfl.cmake', u'Source/WTF/wtf/PlatformGTK.cmake', u'Source/WTF/wtf/PlatformWin.cmake', u'Source/WTF/wtf/RunLoop.cpp', u'Source/WTF/wtf/RunLoop.h', u'Source/WTF/wtf/blackberry/RunLoopBlackBerry.cpp', u'Source/WTF/wtf/cf/RunLoopCF.cpp', u'Source/WTF/wtf/efl/RunLoopEfl.cpp', u'Source/WTF/wtf/gtk/RunLoopGtk.cpp', u'Source/WTF/wtf/win/RunLoopWin.cpp', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/PlatformBlackBerry.cmake', u'Source/WebCore/PlatformEfl.cmake', u'Source/WebCore/PlatformGTK.cmake', u'Source/WebCore/PlatformWin.cmake', u'Source/WebCore/WebCore.exp.in', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/platform/RunLoop.cpp', u'Source/WebCore/platform/RunLoop.h', u'Source/WebCore/platform/blackberry/RunLoopBlackBerry.cpp', u'Source/WebCore/platform/cf/RunLoopCF.cpp', u'Source/WebCore/platform/efl/RunLoopEfl.cpp', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsLayer.h', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsScene.h', u'Source/WebCore/platform/gtk/RunLoopGtk.cpp', u'Source/WebCore/platform/win/RunLoopWin.cpp', u'Source/WebKit/mac/Carbon/CarbonWindowAdapter.mm', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/History/WebBackForwardList.mm', u'Source/WebKit/mac/History/WebHistoryItem.mm', u'Source/WebKit/mac/Misc/WebCache.mm', u'Source/WebKit/mac/Misc/WebElementDictionary.mm', u'Source/WebKit/mac/Misc/WebIconDatabase.mm', u'Source/WebKit/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBaseNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBasePluginPackage.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginView.mm', u'Source/WebKit/mac/WebCoreSupport/WebEditorClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebFrameLoaderClient.mm', u'Source/WebKit/mac/WebView/WebArchive.mm', u'Source/WebKit/mac/WebView/WebDataSource.mm', u'Source/WebKit/mac/WebView/WebHTMLView.mm', u'Source/WebKit/mac/WebView/WebPreferences.mm', u'Source/WebKit/mac/WebView/WebResource.mm', u'Source/WebKit/mac/WebView/WebTextIterator.mm', u'Source/WebKit/mac/WebView/WebView.mm', u'Source/WebKit/mac/WebView/WebViewData.mm', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/DatabaseProcess/DatabaseProcess.cpp', u'Source/WebKit2/DatabaseProcess/DatabaseToWebProcessConnection.cpp', u'Source/WebKit2/NetworkProcess/NetworkConnectionToWebProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.h', u'Source/WebKit2/NetworkProcess/NetworkResourceLoader.h', u'Source/WebKit2/NetworkProcess/mac/DiskCacheMonitor.h', u'Source/WebKit2/NetworkProcess/unix/NetworkProcessMainUnix.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.h', u'Source/WebKit2/Platform/CoreIPC/mac/ConnectionMac.cpp', u'Source/WebKit2/PluginProcess/EntryPoint/mac/LegacyProcess/PluginProcessMain.mm', u'Source/WebKit2/PluginProcess/EntryPoint/mac/XPCService/PluginServiceEntryPoint.mm', u'Source/WebKit2/PluginProcess/PluginControllerProxy.h', u'Source/WebKit2/PluginProcess/PluginProcess.cpp', u'Source/WebKit2/PluginProcess/PluginProcess.h', u'Source/WebKit2/PluginProcess/WebProcessConnection.cpp', u'Source/WebKit2/PluginProcess/unix/PluginProcessMainUnix.cpp', u'Source/WebKit2/Shared/ChildProcess.cpp', u'Source/WebKit2/Shared/ChildProcess.h', u'Source/WebKit2/Shared/ChildProcessProxy.cpp', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.h', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.mm', u'Source/WebKit2/Shared/Plugins/NPObjectProxy.cpp', u'Source/WebKit2/Shared/WebKit2Initialize.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitFaviconDatabase.cpp', u'Source/WebKit2/UIProcess/API/mac/FindIndicatorWindow.h', u'Source/WebKit2/UIProcess/API/mac/WKPrintingView.mm', u'Source/WebKit2/UIProcess/API/mac/WKView.mm', u'Source/WebKit2/UIProcess/CoordinatedGraphics/CoordinatedDrawingAreaProxy.h', u'Source/WebKit2/UIProcess/DrawingAreaProxyImpl.h', u'Source/WebKit2/UIProcess/Launcher/efl/ProcessLauncherEfl.cpp', u'Source/WebKit2/UIProcess/Launcher/gtk/ProcessLauncherGtk.cpp', u'Source/WebKit2/UIProcess/Launcher/mac/ProcessLauncherMac.mm', u'Source/WebKit2/UIProcess/Network/NetworkProcessProxy.cpp', u'Source/WebKit2/UIProcess/Plugins/PluginProcessProxy.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.h', u'Source/WebKit2/UIProcess/VisitedLinkProvider.h', u'Source/WebKit2/UIProcess/WebContext.cpp', u'Source/WebKit2/UIProcess/WebProcessProxy.cpp', u'Source/WebKit2/WebProcess/Databases/WebToDatabaseProcessConnection.cpp', u'Source/WebKit2/WebProcess/EntryPoint/mac/LegacyProcess/WebContentProcessMain.mm', u'Source/WebKit2/WebProcess/EntryPoint/mac/XPCService/WebContentServiceEntryPoint.mm', u'Source/WebKit2/WebProcess/Network/WebResourceLoadScheduler.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePluginStream.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.h', u'Source/WebKit2/WebProcess/WebPage/CoordinatedGraphics/CoordinatedDrawingArea.h', u'Source/WebKit2/WebProcess/WebPage/DrawingAreaImpl.h', u'Source/WebKit2/WebProcess/WebPage/EventDispatcher.cpp', u'Source/WebKit2/WebProcess/WebPage/PageOverlay.h', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.h', u'Source/WebKit2/WebProcess/WebProcess.cpp', u'Source/WebKit2/WebProcess/efl/WebProcessMainEfl.cpp', u'Source/WebKit2/WebProcess/gtk/WebProcessMainGtk.cpp']" exit_code: 1
Source/WTF/wtf/RunLoop.cpp:107:  This { should be at the end of the previous line  [whitespace/braces] [4]
Total errors found: 1 in 93 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 26 Patrick R. Gansterer 2013-10-31 01:15:56 PDT
@andersca: ping
Comment 27 WebKit Commit Bot 2013-11-08 10:17:47 PST
Comment on attachment 214714 [details]
Patch

Rejecting attachment 214714 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'apply-attachment', '--no-update', '--non-interactive', 214714, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
cceeded at 862 (offset 7 lines).
Hunk #2 FAILED at 904.
1 out of 2 hunks FAILED -- saving rejects to file Source/WebKit2/WebProcess/WebPage/WebPage.h.rej
patching file Source/WebKit2/WebProcess/WebProcess.cpp
patching file Source/WebKit2/WebProcess/efl/WebProcessMainEfl.cpp
patching file Source/WebKit2/WebProcess/gtk/WebProcessMainGtk.cpp

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Anders Carlsson']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/22778480
Comment 28 Patrick R. Gansterer 2013-11-09 01:54:32 PST
Created attachment 216487 [details]
Patch
Comment 29 WebKit Commit Bot 2013-11-09 01:56:56 PST
Attachment 216487 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WTF/ChangeLog', u'Source/WTF/GNUmakefile.list.am', u'Source/WTF/WTF.vcxproj/WTF.vcxproj', u'Source/WTF/WTF.xcodeproj/project.pbxproj', u'Source/WTF/wtf/CMakeLists.txt', u'Source/WTF/wtf/PlatformBlackBerry.cmake', u'Source/WTF/wtf/PlatformEfl.cmake', u'Source/WTF/wtf/PlatformGTK.cmake', u'Source/WTF/wtf/PlatformWin.cmake', u'Source/WTF/wtf/RunLoop.cpp', u'Source/WTF/wtf/RunLoop.h', u'Source/WTF/wtf/blackberry/RunLoopBlackBerry.cpp', u'Source/WTF/wtf/cf/RunLoopCF.cpp', u'Source/WTF/wtf/efl/RunLoopEfl.cpp', u'Source/WTF/wtf/gtk/RunLoopGtk.cpp', u'Source/WTF/wtf/win/RunLoopWin.cpp', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/PlatformBlackBerry.cmake', u'Source/WebCore/PlatformEfl.cmake', u'Source/WebCore/PlatformGTK.cmake', u'Source/WebCore/PlatformWin.cmake', u'Source/WebCore/WebCore.exp.in', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/platform/RunLoop.cpp', u'Source/WebCore/platform/RunLoop.h', u'Source/WebCore/platform/blackberry/RunLoopBlackBerry.cpp', u'Source/WebCore/platform/cf/RunLoopCF.cpp', u'Source/WebCore/platform/efl/RunLoopEfl.cpp', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsLayer.h', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsScene.h', u'Source/WebCore/platform/gtk/RunLoopGtk.cpp', u'Source/WebCore/platform/win/RunLoopWin.cpp', u'Source/WebKit/mac/Carbon/CarbonWindowAdapter.mm', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/History/WebBackForwardList.mm', u'Source/WebKit/mac/History/WebHistoryItem.mm', u'Source/WebKit/mac/Misc/WebCache.mm', u'Source/WebKit/mac/Misc/WebElementDictionary.mm', u'Source/WebKit/mac/Misc/WebIconDatabase.mm', u'Source/WebKit/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBaseNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBasePluginPackage.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginView.mm', u'Source/WebKit/mac/WebCoreSupport/WebEditorClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebFrameLoaderClient.mm', u'Source/WebKit/mac/WebView/WebArchive.mm', u'Source/WebKit/mac/WebView/WebDataSource.mm', u'Source/WebKit/mac/WebView/WebHTMLView.mm', u'Source/WebKit/mac/WebView/WebPreferences.mm', u'Source/WebKit/mac/WebView/WebResource.mm', u'Source/WebKit/mac/WebView/WebTextIterator.mm', u'Source/WebKit/mac/WebView/WebView.mm', u'Source/WebKit/mac/WebView/WebViewData.mm', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/DatabaseProcess/DatabaseProcess.cpp', u'Source/WebKit2/DatabaseProcess/DatabaseToWebProcessConnection.cpp', u'Source/WebKit2/NetworkProcess/NetworkConnectionToWebProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.h', u'Source/WebKit2/NetworkProcess/NetworkResourceLoader.h', u'Source/WebKit2/NetworkProcess/mac/DiskCacheMonitor.h', u'Source/WebKit2/NetworkProcess/unix/NetworkProcessMainUnix.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.h', u'Source/WebKit2/Platform/CoreIPC/mac/ConnectionMac.cpp', u'Source/WebKit2/PluginProcess/EntryPoint/mac/LegacyProcess/PluginProcessMain.mm', u'Source/WebKit2/PluginProcess/EntryPoint/mac/XPCService/PluginServiceEntryPoint.mm', u'Source/WebKit2/PluginProcess/PluginControllerProxy.h', u'Source/WebKit2/PluginProcess/PluginProcess.cpp', u'Source/WebKit2/PluginProcess/PluginProcess.h', u'Source/WebKit2/PluginProcess/WebProcessConnection.cpp', u'Source/WebKit2/PluginProcess/unix/PluginProcessMainUnix.cpp', u'Source/WebKit2/Shared/ChildProcess.cpp', u'Source/WebKit2/Shared/ChildProcess.h', u'Source/WebKit2/Shared/ChildProcessProxy.cpp', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.h', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.mm', u'Source/WebKit2/Shared/Plugins/NPObjectProxy.cpp', u'Source/WebKit2/Shared/WebKit2Initialize.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitFaviconDatabase.cpp', u'Source/WebKit2/UIProcess/API/mac/FindIndicatorWindow.h', u'Source/WebKit2/UIProcess/API/mac/WKPrintingView.mm', u'Source/WebKit2/UIProcess/API/mac/WKView.mm', u'Source/WebKit2/UIProcess/CoordinatedGraphics/CoordinatedDrawingAreaProxy.h', u'Source/WebKit2/UIProcess/DrawingAreaProxyImpl.h', u'Source/WebKit2/UIProcess/Launcher/efl/ProcessLauncherEfl.cpp', u'Source/WebKit2/UIProcess/Launcher/gtk/ProcessLauncherGtk.cpp', u'Source/WebKit2/UIProcess/Launcher/mac/ProcessLauncherMac.mm', u'Source/WebKit2/UIProcess/Network/NetworkProcessProxy.cpp', u'Source/WebKit2/UIProcess/Plugins/PluginProcessProxy.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.h', u'Source/WebKit2/UIProcess/VisitedLinkProvider.h', u'Source/WebKit2/UIProcess/WebContext.cpp', u'Source/WebKit2/UIProcess/WebProcessProxy.cpp', u'Source/WebKit2/WebProcess/Databases/WebToDatabaseProcessConnection.cpp', u'Source/WebKit2/WebProcess/EntryPoint/mac/LegacyProcess/WebContentProcessMain.mm', u'Source/WebKit2/WebProcess/EntryPoint/mac/XPCService/WebContentServiceEntryPoint.mm', u'Source/WebKit2/WebProcess/Network/WebResourceLoadScheduler.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePluginStream.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.h', u'Source/WebKit2/WebProcess/WebPage/CoordinatedGraphics/CoordinatedDrawingArea.h', u'Source/WebKit2/WebProcess/WebPage/DrawingAreaImpl.h', u'Source/WebKit2/WebProcess/WebPage/EventDispatcher.cpp', u'Source/WebKit2/WebProcess/WebPage/PageOverlay.h', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.h', u'Source/WebKit2/WebProcess/WebProcess.cpp', u'Source/WebKit2/WebProcess/efl/WebProcessMainEfl.cpp', u'Source/WebKit2/WebProcess/gtk/WebProcessMainGtk.cpp']" exit_code: 1
Source/WTF/wtf/RunLoop.cpp:107:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/WTF/wtf/RunLoop.cpp:123:  Extra space before ( in function call  [whitespace/parens] [4]
Source/WTF/wtf/RunLoop.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
Source/WTF/wtf/RunLoop.h:136:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 4 in 92 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 30 Build Bot 2013-11-09 02:23:37 PST
Comment on attachment 216487 [details]
Patch

Attachment 216487 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/22748725
Comment 31 Build Bot 2013-11-09 02:57:16 PST
Comment on attachment 216487 [details]
Patch

Attachment 216487 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/22768718
Comment 32 Build Bot 2013-11-09 03:53:20 PST
Comment on attachment 216487 [details]
Patch

Attachment 216487 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/22368768
Comment 33 Patrick R. Gansterer 2013-11-09 06:22:10 PST
Created attachment 216493 [details]
Patch
Comment 34 WebKit Commit Bot 2013-11-09 06:24:57 PST
Attachment 216493 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WTF/ChangeLog', u'Source/WTF/GNUmakefile.list.am', u'Source/WTF/WTF.vcxproj/WTF.vcxproj', u'Source/WTF/WTF.xcodeproj/project.pbxproj', u'Source/WTF/wtf/CMakeLists.txt', u'Source/WTF/wtf/PlatformBlackBerry.cmake', u'Source/WTF/wtf/PlatformEfl.cmake', u'Source/WTF/wtf/PlatformGTK.cmake', u'Source/WTF/wtf/PlatformWin.cmake', u'Source/WTF/wtf/RunLoop.cpp', u'Source/WTF/wtf/RunLoop.h', u'Source/WTF/wtf/blackberry/RunLoopBlackBerry.cpp', u'Source/WTF/wtf/cf/RunLoopCF.cpp', u'Source/WTF/wtf/efl/RunLoopEfl.cpp', u'Source/WTF/wtf/gtk/RunLoopGtk.cpp', u'Source/WTF/wtf/win/RunLoopWin.cpp', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/PlatformBlackBerry.cmake', u'Source/WebCore/PlatformEfl.cmake', u'Source/WebCore/PlatformGTK.cmake', u'Source/WebCore/PlatformWin.cmake', u'Source/WebCore/WebCore.exp.in', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/platform/RunLoop.cpp', u'Source/WebCore/platform/RunLoop.h', u'Source/WebCore/platform/blackberry/RunLoopBlackBerry.cpp', u'Source/WebCore/platform/cf/RunLoopCF.cpp', u'Source/WebCore/platform/efl/RunLoopEfl.cpp', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsLayer.h', u'Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsScene.h', u'Source/WebCore/platform/gtk/RunLoopGtk.cpp', u'Source/WebCore/platform/win/RunLoopWin.cpp', u'Source/WebKit/mac/Carbon/CarbonWindowAdapter.mm', u'Source/WebKit/mac/ChangeLog', u'Source/WebKit/mac/History/WebBackForwardList.mm', u'Source/WebKit/mac/History/WebHistoryItem.mm', u'Source/WebKit/mac/Misc/WebCache.mm', u'Source/WebKit/mac/Misc/WebElementDictionary.mm', u'Source/WebKit/mac/Misc/WebIconDatabase.mm', u'Source/WebKit/mac/Plugins/Hosted/WebHostedNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBaseNetscapePluginView.mm', u'Source/WebKit/mac/Plugins/WebBasePluginPackage.mm', u'Source/WebKit/mac/Plugins/WebNetscapePluginView.mm', u'Source/WebKit/mac/WebCoreSupport/WebEditorClient.mm', u'Source/WebKit/mac/WebCoreSupport/WebFrameLoaderClient.mm', u'Source/WebKit/mac/WebView/WebArchive.mm', u'Source/WebKit/mac/WebView/WebDataSource.mm', u'Source/WebKit/mac/WebView/WebHTMLView.mm', u'Source/WebKit/mac/WebView/WebPreferences.mm', u'Source/WebKit/mac/WebView/WebResource.mm', u'Source/WebKit/mac/WebView/WebTextIterator.mm', u'Source/WebKit/mac/WebView/WebView.mm', u'Source/WebKit/mac/WebView/WebViewData.mm', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/DatabaseProcess/DatabaseProcess.cpp', u'Source/WebKit2/DatabaseProcess/DatabaseToWebProcessConnection.cpp', u'Source/WebKit2/NetworkProcess/NetworkConnectionToWebProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.cpp', u'Source/WebKit2/NetworkProcess/NetworkProcess.h', u'Source/WebKit2/NetworkProcess/NetworkResourceLoader.h', u'Source/WebKit2/NetworkProcess/mac/DiskCacheMonitor.h', u'Source/WebKit2/NetworkProcess/unix/NetworkProcessMainUnix.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.cpp', u'Source/WebKit2/Platform/CoreIPC/Connection.h', u'Source/WebKit2/Platform/CoreIPC/mac/ConnectionMac.cpp', u'Source/WebKit2/PluginProcess/EntryPoint/mac/LegacyProcess/PluginProcessMain.mm', u'Source/WebKit2/PluginProcess/EntryPoint/mac/XPCService/PluginServiceEntryPoint.mm', u'Source/WebKit2/PluginProcess/PluginControllerProxy.h', u'Source/WebKit2/PluginProcess/PluginProcess.cpp', u'Source/WebKit2/PluginProcess/PluginProcess.h', u'Source/WebKit2/PluginProcess/WebProcessConnection.cpp', u'Source/WebKit2/PluginProcess/unix/PluginProcessMainUnix.cpp', u'Source/WebKit2/Shared/ChildProcess.cpp', u'Source/WebKit2/Shared/ChildProcess.h', u'Source/WebKit2/Shared/ChildProcessProxy.cpp', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.h', u'Source/WebKit2/Shared/EntryPointUtilities/mac/LegacyProcess/ChildProcessEntryPoint.mm', u'Source/WebKit2/Shared/Plugins/NPObjectProxy.cpp', u'Source/WebKit2/Shared/WebKit2Initialize.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitFaviconDatabase.cpp', u'Source/WebKit2/UIProcess/API/mac/FindIndicatorWindow.h', u'Source/WebKit2/UIProcess/API/mac/WKPrintingView.mm', u'Source/WebKit2/UIProcess/API/mac/WKView.mm', u'Source/WebKit2/UIProcess/CoordinatedGraphics/CoordinatedDrawingAreaProxy.h', u'Source/WebKit2/UIProcess/DrawingAreaProxyImpl.h', u'Source/WebKit2/UIProcess/Launcher/efl/ProcessLauncherEfl.cpp', u'Source/WebKit2/UIProcess/Launcher/gtk/ProcessLauncherGtk.cpp', u'Source/WebKit2/UIProcess/Launcher/mac/ProcessLauncherMac.mm', u'Source/WebKit2/UIProcess/Network/NetworkProcessProxy.cpp', u'Source/WebKit2/UIProcess/Plugins/PluginProcessProxy.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.cpp', u'Source/WebKit2/UIProcess/ResponsivenessTimer.h', u'Source/WebKit2/UIProcess/VisitedLinkProvider.h', u'Source/WebKit2/UIProcess/WebContext.cpp', u'Source/WebKit2/UIProcess/WebProcessProxy.cpp', u'Source/WebKit2/WebProcess/Databases/WebToDatabaseProcessConnection.cpp', u'Source/WebKit2/WebProcess/EntryPoint/mac/LegacyProcess/WebContentProcessMain.mm', u'Source/WebKit2/WebProcess/EntryPoint/mac/XPCService/WebContentServiceEntryPoint.mm', u'Source/WebKit2/WebProcess/Network/WebResourceLoadScheduler.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NPRuntimeObjectMap.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.h', u'Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePluginStream.h', u'Source/WebKit2/WebProcess/Plugins/PluginView.h', u'Source/WebKit2/WebProcess/WebPage/CoordinatedGraphics/CoordinatedDrawingArea.h', u'Source/WebKit2/WebProcess/WebPage/DrawingAreaImpl.h', u'Source/WebKit2/WebProcess/WebPage/EventDispatcher.cpp', u'Source/WebKit2/WebProcess/WebPage/PageOverlay.h', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp', u'Source/WebKit2/WebProcess/WebPage/WebPage.h', u'Source/WebKit2/WebProcess/WebProcess.cpp', u'Source/WebKit2/WebProcess/efl/WebProcessMainEfl.cpp', u'Source/WebKit2/WebProcess/gtk/WebProcessMainGtk.cpp']" exit_code: 1
Source/WTF/wtf/RunLoop.cpp:107:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/WTF/wtf/RunLoop.cpp:123:  Extra space before ( in function call  [whitespace/parens] [4]
Source/WTF/wtf/RunLoop.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
Source/WTF/wtf/RunLoop.h:136:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 4 in 92 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 35 WebKit Commit Bot 2013-11-09 12:57:26 PST
Comment on attachment 216493 [details]
Patch

Clearing flags on attachment: 216493

Committed r159001: <http://trac.webkit.org/changeset/159001>
Comment 36 WebKit Commit Bot 2013-11-09 12:57:31 PST
All reviewed patches have been landed.  Closing bug.